Curriculum Vitae -NL- **`Personal Details`[PERSONAL_DETAILS_HEADING]** -NL- Name -NL- **`Roberto Musso`[NAME]** -NL- Nationality Italian -NL- **`Languages`[OTHERS_HEADING]** -NL- Italian, English, French, Spanish -NL- Mail : **`robelux@gmail.com`[EMAILS_EMAIL]** or **`robelux1@gmail.com`[EMAILS_EMAIL]** -NL- Mobile Phone Number : **`+352621813398`[PHONES_PHONE]** -NL- HOME: **`+352621813428`[PHONES_PHONE]** -NL- **`Bachelor Degree`[EDUCATION_DEGREE]** -NL-  **`Electronic Engineer`[EDUCATION_COURSE]**- **`Polytechnic of Milan`[EDUCATION_INSTITUTE]** (91%) -NL- **`Key Technical Skills`[SKILLS_HEADING]** -NL- Programming Languages -NL-  Java (included Swing and Jsp, Servlet and EJB),JEE,J2EE (EJB also EJB Enterprise 2.0, JDBC, -NL- JNDI),JDK1.x., Java 2 SDK, C., C++, J2EE,J2ME,VB 4/5/6, ASP,JSP,EJB HTML, PHP, -NL- JavaScript, Cobol, RPG400, SQL, SQL*Plus, PL/SQL, Developer 2000 , Oracle Form ,Oracle -NL- Report, Visual Basic, Assembler, Oracle Workflow, Angular JS, Scala, Perl, Python -NL- Scripting Languages -NL-  Perl, ,JACL,JYTHON,wsadmin, KORN Shell, Bourn Shell, C Shell, JavaScript, VB Script, -NL- Groovy -NL- Development Tools -NL-  **`IBM`[EMPLOYER_COMPANY_NAME]** Rational Application Developer (RAD) 6 and 7,Visual Studio 6, WebSphere Studio Application -NL- Developer (WASD) 4/5 and Integration Edition, JDeveloper, JBuilder,Eclipse -NL- Continuous Building: Jenkins -NL- Databases -NL-  Oracle 9/10, SQL Server, DB2, Informix, Sybase, Access , Cassandra and MongoDB, NoSQL -NL- Database Designing Tools: -NL-  Designer 2000,Designer 6i -NL- Object Oriented Designing Tools -NL-  RAD, JTogether -NL- Monitoring Tool: ITCAM,Topaz, Micromuse, Wily Introscope, Tivoli Monitor -NL- BPM: BPEL, jBPM -NL- Web Server -NL-  Apache Server 1.3/2.0,**`IBM`[EMPLOYER_COMPANY_NAME]** HTTPServer 1.3/2.0,6.x, IIS 4/5/6 -NL- Internet Area: -NL- CORBA Oracle iFS -NL- Reporting Tool: -NL-  Oracle Report Builder,Business Object 5 and 6 -NL- ERP -NL-  Oracle Applications 10/11 -NL- Application Server -NL-  BEA WebLogic 8/9/10, Sun formerly NetDynamics now iPlanet, **`IBM`[EMPLOYER_COMPANY_NAME]** WebSphere 3.5/4.0/5.1.x.x/ -NL- 6.x/7 on Windows, Linux, AIX, Solaris and zOS, WebSphere ESB, WebSphere Process Server, -NL- JRun, SilverStream, Jakarta-Tomcat 5.x/6.x(included Apache Server),JBoss -NL- Portal -NL-  WebSphere Portal 5/6/7/8, BEA Web Logic Portal -NL- Integration -NL-  WebLogic Integration 8.1,WebSphere Business Integration,WSAD Integration -NL-  WebSphere ESB -NL-  WebSphere Process Server -NL-  Oracle BPEL -NL-  Camel, Apache ServiceMix and Fuse -NL-  WebSpheer Message Broker and WebSphere IIB (**`IBM`[EMPLOYER_COMPANY_NAME]** Integration Bus) -NL- WEB Related Technologies: Struts, SOAP, ANT, Java WSDP, JAXM, JAXP, JAXR, JAX- -NL- RPC, JSTL, UDDI, Ant, Log4J, Velocity, Turbine, Jetspeed,**`IBM`[EMPLOYER_COMPANY_NAME]** WebSphere SDK for Web -NL- Services (WSDK) Version 5.0.1, JSR 168, JSR286, JSF,Ajax, Rest,Jquery,Axis -NL- OpenSource: Jakarta, Jetspeed, Jmeter, JBoss,HttpUnit, Junit, Spring, Angular -NL- JSMaven,Hibernate, GIT,GRADLE -NL- XML Technologies -NL-  Cocoon, Xalan, Xerces, Crimson, SAX and DOM -NL- Versioning Software -NL- 1 CVS, VSS, ClearCase, SubVersion,GIT -NL- Middleware -NL-  WebSphere MQSeries, JMS, Tibco, WebMethods, Tuxedo -NL- DevOps -NL-  Docker, Puppet, Ansible, Jenkins, Sonar QM language Python, Groovy, UrbanCode and RAFW -NL- Security: **`IBM`[EMPLOYER_COMPANY_NAME]** PolicyDirector , Tivoli Access Manager 4.1/5.x/6.x, Tivoli Identity Manager 4.1/5.x/6, -NL- Policy Server;TFIM,TAM -NL- Object Oriented Programming: UML and JavaSoft Conventions -NL- Content Management: Vignette, Broadvision, Slide,TeamSite Interwoven -NL- Workflow: Oracle Workflow 2.6.1, Struts Workflow, WebSphere MQ Workflow -NL- Trade and Risk Management software (Credit, Exotic, OTC and Equities Derivatives): -NL- · Murex,·Calypso -NL- Testing/Performance/Monitoring -NL- Mercury LoadRunner, MercuryWinRunner,Wily Introscope,Topaz Mercury,QPasa,Candle -NL- Omegamon,**`IBM`[EMPLOYER_COMPANY_NAME]** ITCAM,Tivoli Monitoring, WSSR -NL- Webservices: Apache Axis, Apache CXF, JAXB, JAX-WS -NL- Architecture : TOGAFF, CMMI -NL- Mobile: Android(ADT) and iOS -NL- Cloud: AWS -NL- **`Work History`[WORK_EXPERIENCE_HEADING]** -NL- August 2017 – December 2017– **`EDF Luminus`[EMPLOYER_COMPANY_NAME]** -NL- **`Technical Architect/Analyst`[EMPLOYER_ROLE]** -NL- Analysis and development of integrated application using **`IBM`[EMPLOYER_COMPANY_NAME]** products like IIB, MQ, BPM, Worklight. -NL- Using Jenkins for deployment and configuration. -NL- Java development and troubleshooting. -NL- Using Enterprise Architect to modelling the data and realizing UML Diagrams (class, activity, sequence) -NL- in order to allow development -NL- May 2017 – August 2017– **`JLL`[EMPLOYER_COMPANY_NAME]** -NL- IIB and MQ Middleware Specialist on Cloud -NL- WebSphere and WebSphere MQ and IIB third Level support, engineering and -NL- industrialization/automation through the use of Ansible and phython/jython scripting mainly on AIX, -NL- Solaris and Mainframe.HLD and LLD and development of new integrations applications using IIB Java -NL- and ESQL -NL- Technical architecture and designer for AWS and AWS ELB cloud with some development in Java/Scala -NL- October 2016 – April 2017– **`CSC`[EMPLOYER_COMPANY_NAME]** -NL- **`WebSphere Middleware Specialist on Cloud`[EMPLOYER_ROLE]** -NL- WebSphere and WebSphere MQ third Level support, engineering and industrialization/automation -NL- through the use of Ansible and phython/jython scripting mainly on AIX, Solaris and Mainframe -NL- Technical architecture and designer for AWS and AWS ELB cloud. -NL- April 2016 – Octobr 2016– **`CA`[EMPLOYER_COMPANY_NAME]** -NL- WebSphere MQ and MQSeries Specialist -NL- WebSphere and WebSphere MQ third Level support, engineering and industrialization/automation -NL- through the use of Ansible and phython scripting mainly on RedHat Linux. -NL- August 2015 – March 2016– **`Novartis`[EMPLOYER_COMPANY_NAME]** -NL- **`ClearCase , Perl and WebSphere Senior Specialist`[EMPLOYER_ROLE]** -NL- I was working on Perl and **`IBM`[EMPLOYER_COMPANY_NAME]** ClearCase software consolidation and bug fixing for a pharmaceutical -NL- project involving also SAS and EDI documents management. The project was in its -NL- mature stage and needed to be reviewed and consolidated both from point of view -NL- of the code and from point of view of design/architecture. Grid Computing was -NL- foreseen as next step for this important project. -NL- The Web interface were developed in Java and deployed on WebSphere and I was in -NL- charge of their administration: deployment, packaging and 3d level support. -NL- Database Cassandra on grid computing. -NL- April 2015 – July 2015– **`VISA`[EMPLOYER_COMPANY_NAME]** -NL- **`ESB (WebSphere IIB = IBM Integration BUS) Senior Specialist`[EMPLOYER_ROLE]** -NL- I was working as Integration specialist and Solution Architect making architectural framework foir -NL- integration solution and developing flows using Java and Esql and unit testing them. Designing and -NL- building flows to threat messages in TLV format as well journaling , logging ,monitoring and the design -NL- and implementation of REST services -NL- IIB v9 and v10 were used to develop and deign A Payment Control application. -NL- I was also involved in the WebSphere MQ design, implementation of an HA MQ infrastructure using -NL- Cluster and MQ instances. I was also scripting the creations or updated of MQ objects like queues/queue -NL- managers/channels and implementing SSL/TSL for the security. Datapower was used as the frontend for -NL- the application. -NL- WebSphere xTremeScale (WXS) was used to improve the performance of this high. -NL- transactional.application/infrastructure.. Operating System Unix/Solaris and Linux -NL- Functional, Unit and Integration Test and were part of my duties. -NL- Coding review and code consolidation was one of my task. The code review was done both manually and -NL- with tools like SonarQube, Eclipse Plugin find bug and find not used/redundant code. -NL- Bugs and Defects in the code were managed using JIIRA. -NL- The versioning system was Clearcase. -NL- Performing changes as per requests following ITL methodology -NL- Using Cassandra Database and HADOOP -NL- December 2014 – March 2015– **`TNT`[EMPLOYER_COMPANY_NAME]** -NL- SOA and ESB (WebSphere Message Broker and IIB (**`IBM`[EMPLOYER_COMPANY_NAME]** Integration BUS) and WebSphere -NL- Application Server Senior Specialist -NL- I was working as Integration specialist/Solution Architect translating and implementing architectural -NL- frameworks and designing solutions and developing flows using Java and Esql for a new eCommerce -NL- project. Messages were receive in JSON format and transformed in Canonical and Service Format. Use of -NL- Aggregation to mimic choreography. -NL- I was using also MQ scripting the creation of MQ objects like queues/queue managers/channels and -NL- implementing SSL for the security. -NL- I was designing solution, configuring and administering Datapower as well. -NL- Functional, Unit and Integration Test and were part of my duties. -NL- Performing changes as per requests following ITL methodology -NL- WebApplication and Enterprise application were deployed on JBoss Application Server.with -NL- Apache as HTTP Server -NL- Coding review and code consolidation was one of my task. The code review was done both manually and -NL- with tools like **`HP`[EMPLOYER_COMPANY_NAME]** Fortify, Eclipse Plugin find bug and find not used/redundant code. -NL- Bug and defects were managed using JIIRA. -NL- Performing changes as per requests following ITL methodology. -NL- Perl script were realized for DevOps duties. -NL- Cassandra and Hadoop databases -NL- June 2014 – November 2014 – **`HR-RAIL`[EMPLOYER_COMPANY_NAME]** -NL- SOA and ESB (WebSphere Message Broker and IIB = **`IBM`[EMPLOYER_COMPANY_NAME]** Integration BUS) Senior Developer -NL- and Design -NL- I worked as WebSphere Message Broker v8 and IIB v9 senior developer reviewing existing architecture -NL- and code and administering the different environments. Perl scripts were written for DevOps duties. -NL- Experience required was the knowledge of the following technologies:- -NL- • Websphere Message Broker, WMB Developers Toolkit , IIB and IIB Toolkit -NL- • Websphere MQ on Mainframe ZOS and Unix -NL- , MQ Explorer,and MB Explorer RFHUTIL -NL- • ORACLE, SQL Developer -NL- • Database Design -NL- • XML/XSD -NL- DFDL -NL- • SOAP UI -NL- LOAD UI -NL- • Perl Scripts -NL- Jenkins, Sonar and Maven -NL- Java/J22 for development -NL- JBoss as application Server -NL- Solaris and Linux as Operating System -NL- Coding review and code consolidation was one of my task. The code review was done both manually and -NL- with tools like Eclipse Plugin find bug and find not used/redundant code. -NL- Bug and defects were managed using JIIRA. -NL- The versioning system was Clearcase. -NL- Cassandra as Database -NL- April 2014 – June 2014 – **`ABN Amro Bank`[EMPLOYER_COMPANY_NAME]** -NL- **`SOA and ESB (WebSphere IBM Integration Bus ) Architect`[EMPLOYER_ROLE]** -NL- I worked as SOA architect and developed POC on WebSphere **`IBM`[EMPLOYER_COMPANY_NAME]** Integration Bus (previously -NL- WebSphere Message Broker). -NL- Working as well with WS Security,WS TRUST, SAML, Certificates and wsdl/schema. -NL- Working as well on WebSphere MQ and MQ FTE and WebLogic and JBOSS Application -NL- Server.with Apache as HTTP Server -NL- The versioning system was Clearcase. -NL- October 2013 – March 2014 – **`European Commission`[EMPLOYER_COMPANY_NAME]** -NL- **`SOA and WebLogic and Java Architect`[EMPLOYER_ROLE]** -NL- WebLogic and Java and Perl specialist for a migration project to a new SOA Architecture using the SOA -NL- Oracle Suite. Tuxedo and WebSphere MQ were part of my competences as well Clearcase as versioning -NL- system. -NL- Performing changes as per requests following ITL methodology -NL- Coding review and code consolidation was one of my task. The code review was done both manually and -NL- with tools like Eclipse Plugin find bug and find not used/redundant code and checkstyle. -NL- Bug and defects were managed using JIIRA. -NL- The versioning system was Clearcase. -NL- February 2013 - August 2013 - **`AIB Bank`[EMPLOYER_COMPANY_NAME]** -NL- WebSphere specialist -NL- WebSphere ND and Application Server specialist on Unix (Linux and Solaris) and Windows -NL- environment. Perl scripts were written to automatiye the building and configuration process. -NL- Use of Wily Introscope as monitoring tool and Cressida for recovery task. -NL- I was designing and making architecture for the migration to WebSphere _8.5 with some aspect SOA -NL- oriented and having as main goal the automation of the build and setup process for WebSphere 8.5 new -NL- infrastructure using perl and jython as scripting languages -NL- I contribute to scripting the build of WebSsphere 8.5 environment -NL- I was working also on WebSphere MQ and Message Broker/**`IBM`[EMPLOYER_COMPANY_NAME]** Integration Bus (IIB) on Unix and -NL- Mainframe Z/OS. -NL- It was also used WTX and Datapower. -NL- Jenkins was ready to be used for the continuous build and git as distributed repository for the scripts and -NL- code. -NL- I was following projects involving third party products like SEPA, Adobe CQ5,Adobe Lifecycle,QFlex -NL- and Norkom Deltica providing infrastructure building and support for all environments (dev, test and -NL- prod). -NL- I was involved also in the Mobile and Tablet development for Internet Banking and Personal Financial -NL- Management(PFM) both for Android and iOS Apple -NL- I performed Configuration Changes as per requests using Remedy as ITL tool. -NL- Working as well on WebSphere MQ and MQ FTE -NL- BMC Remedy product was used to manage the changes and the incidents -NL- according to ITIL methodology. Some Fron End application were developed using Angular -NL- JS. -NL- Upgrades, changes andfixes, following ITIL methodology -NL- February 2012 - December 2012 **`CS`[EMPLOYER_COMPANY_NAME]** - -NL- WebSphere MQ/Messaging specialist -NL- WebSphere MQ specialist on Mainframe z/OS, Unix (Linux and Solaris) and Windows environment. -NL- Use of QPasa as monitoring tool and Cressida for recovery task. -NL- The environment was an high transactional and HA one and XA was used everywhere. -NL- The primary responsibilities included: -NL- - Installation, configuration and troubleshooting of WebSphere MQ and WebLogic -NL- ApplicationServer) -NL- - Build of MQ objects across multiple platforms (Unix-Linux, Windows and Mainframe z/ -NL- OS) -NL- - Build development environments and provide support during application development. -NL- - Build production systems and provide support through to go live -NL- - Provide documentation for production support -NL- - Manage projects and deliver to deadlines -NL- - Troubleshooting -NL- - Performing changes as per requests following ITL methodology -NL- - UC4 as Job Scheduler -NL- I was working in the following environment: production, test and development supporting the -NL- development teams. -NL- A self developed by **`CS`[EMPLOYER_COMPANY_NAME]** product was used to manage the changes and the -NL- incidents according to ITIL methodology -NL- Working as well on MQ FTE -NL- December 2011– February 2012 **`eSailors`[EMPLOYER_COMPANY_NAME]** -NL- **`Java/J2EE Application and Infrastructure Specialist`[EMPLOYER_ROLE]** -NL- Application support/design/architecture specialist on web application integrated with batch applications -NL- using Active MQ, Camel and Fuse and UC4 as Job Scheduler -NL- Security and architecture for middleware components and web application using Togaff methodologies -NL- and patterns. -NL- March 2011– November 2011 **`DEXIA Bank`[EMPLOYER_COMPANY_NAME]** -NL- **`WebSphere ND/AS, WebSphere MQ and WebSphere Message Broker -NL- Architect/Engineer/Developer`[EMPLOYER_ROLE]** -NL- Migration of the 3 **`IBM`[EMPLOYER_COMPANY_NAME]** components Webspheer AS, MQ and Message Broker (target were WebSphere -NL- MQ 7, WebSphere Message Broker 7 and WebSphere Application Server 7) from version 6.02/6.1 to -NL- version 7. A part the migration itself I developed new feature and fix old issues on the Message Broker -NL- applications, using Java and ESQL -NL- It was also used WTX and Datapower. -NL- One application had the front end developed with JavaFlex and launching jython scripts for automatic -NL- deployment and configuration settings and changes. I developed the UI and the jython scripts using JEE, -NL- Spring, Hibernate and JMS.. -NL- I was involved other Architecture definition for Internet Banking security for mobile applications. -NL- A self deployed product was used to manage the changes and the incidents -NL- according to ITIL methodology -NL- June 2010 – February 2011 **`ING`[EMPLOYER_COMPANY_NAME]** -NL- WebSpher/JEE/J2EEe Specialist -NL- As WebSphere Migration I was involved in the migration of near 50 Applications from WebSphere 5.1 -NL- and WebSphere Portal 5.1 to WebSphere 6.1 and WebSphere Portal 6.1. Also migrated from TAM 5 to -NL- TAM 6.1. -NL- Covered all aspects from re-enginneering to installation and support. Javas and jython were used to -NL- automatize the deployment and configuration changes. -NL- Deployment and troubleshooting on Home/Internet Banking application. -NL- I was supporting test and development team on WebSphere and WebSphere MQ on Linux,AIX and -NL- Windows. -NL- It was also used WTX and Datapower. -NL- **`HP`[EMPLOYER_COMPANY_NAME]** Service Desk product was used to manage the changes and the incidents -NL- according to ITIL methodology -NL- Working as well on WebSphere MQ and MQ FTE -NL- April 2010 – June 2010 **`HP`[EMPLOYER_COMPANY_NAME]** -NL- WebSphere/JEE/J2EE Specialist -NL- As WebSphere/JBoss Migration Specialist I was supporting operations and the migration project. -NL- I was supporting/installing/configuring/build/scripting/troubleshooting/tuning for performance the -NL- following Products: -NL-  WebSphere Application Server 6.1 -NL-  Portal -NL-  WebSphere MQ 5/6/7 -NL-  JBoss -NL-  Siteminder -NL-  LoadBalance -NL-  Apache HTTP Server -NL-  Jmeter -NL-  Loadrunner -NL-  Sitescope -NL-  LDAP -NL- The migration project involved the migration of the whole **`HP`[EMPLOYER_COMPANY_NAME]** customer infrastructure from two data -NL- centre to one in Germany. -NL- Review the security architecture for web applications using Togaff methodologies. Currently the client -NL- was using **`CA`[EMPLOYER_COMPANY_NAME]** Entrust, a new architecture more grain fined was designed. -NL- **`HP`[EMPLOYER_COMPANY_NAME]** Service Desk product was used to manage the changes and the incidents -NL- according to ITIL methodology -NL- August 2009 – March 2010 **`TCS`[EMPLOYER_COMPANY_NAME]** -NL- **`JEE/J2EE WebSphere Architect`[EMPLOYER_ROLE]** -NL- As WebSphere/JBoss Specialist I was supporting operations, development team and new projects -NL- I was supporting/installing/configuring/build/scripting/troubleshooting/tuning for performance the -NL- following Products: -NL-  WebSphere Application Server 6.x/7.x -NL-  WebSphere Process Server 6.1/6.2 -NL-  WebSphere MQ 6 -NL-  WebSphere ESB 6.1 -NL-  WebSphere Portal Server 6 -NL-  WTX -NL-  DataPower -NL-  JBoss -NL-  LDAP -NL-  SOA -NL-  DataPower -NL- The security was implemented using **`IBM`[EMPLOYER_COMPANY_NAME]** Datapower realizing a really grain fined security architecture -NL- April 2009 – July 2009 **`bSKYb`[EMPLOYER_COMPANY_NAME]** -NL- **`J2EE and ESB WebSphere Architect`[EMPLOYER_ROLE]** -NL- As WebSphere Specialist I was supporting different development teams on a common Telecom IT Project. -NL- I was supporting/installing/configuring/build/scripting/tuning for performance the following Products: -NL-  WebSphere Application Server 6.1/7.x -NL-  WebSphere Process Server 6.1/6.2 -NL-  WebSphere MQ 6/7 -NL-  WebSphere Message Broker 6.1 -NL-  WebSphere Portal Server 6.1 -NL-  WSRR (WebSphere Service Registry & Repository) -NL-  LDAP -NL-  SOA -NL- November 2008 – March 2009 **`Oxford County Council`[EMPLOYER_COMPANY_NAME]** -NL- **`WebSphere Technologist`[EMPLOYER_ROLE]** -NL- As **`WebSphere Technologist`[EMPLOYER_ROLE]** I was involved in two main projects: -NL- 1. Migration of WebSphere Portal and WCM from version 5.1 to version 6.1 -NL- 2. Implementation of a new collaborative/social platform using **`IBM`[EMPLOYER_COMPANY_NAME]** Lotus Connections -NL- The technologies involved were: -NL-  **`IBM`[EMPLOYER_COMPANY_NAME]** WebSphere Application Server 5 and 6.1 and 7 -NL-  **`IBM`[EMPLOYER_COMPANY_NAME]** WebSphere Portal 5.1 and 6.1 -NL-  **`IBM`[EMPLOYER_COMPANY_NAME]** WebSphere Message Broker and MQ 6.x -NL-  **`IBM`[EMPLOYER_COMPANY_NAME]** Lotus Connections -NL-  **`IBM`[EMPLOYER_COMPANY_NAME]** Rational Application Developer 7.5 -NL-  TAM (Tivoli Access Manager) -NL-  TIM (Tivoli Identity Manager) -NL-  TID (Tivoli Integration Directory) -NL-  **`IBM`[EMPLOYER_COMPANY_NAME]** Document Manager -NL-  **`IBM`[EMPLOYER_COMPANY_NAME]** Omni Finder -NL-  Java, J2EE, Portlet JSR168/JSR286 and JSF -NL-  SOA -NL- My main tasks were: troubleshooting, install configuration, migration WCM from 5.1 to 6.1, convert -NL- portlet to JSR168/286 standard, migration WebSphere Portal 5.1 to WebSphere Portal 6.1. Performance -NL- test and tuning were among my tasks. -NL- Integrate and synchronise profiles and LDAP for Lotus Connection as well as installation configuration -NL- and performance tuning -NL- August 2008 – November 2008 **`Norwich Union`[EMPLOYER_COMPANY_NAME]** -NL- WebSphere ND and AS, WebSphere Process Server, WebSphere Portal and WebSphere MQ -NL- specialist -NL- WebSphere Process and Portal Server specialist for Healthcare, Life and Corporate Pension applications. -NL- All the application have a Presentation Layer that for Life Pension, was portlet deployed on WebSphere -NL- Portal 6. a Business Layer, Front end, Siebel , and Backend **`IBM`[EMPLOYER_COMPANY_NAME]** DB2 and **`IBM`[EMPLOYER_COMPANY_NAME]** Cics -NL- WebSphere Application Server version 6/7. WebSphere MQ version 6/7 for all projects. -NL- I was in charge of Application and Change Team support (troubleshooting, performance test assistance to -NL- developer teams) as well as applying Fixpacks and install new environment and or upgrade the existing -NL- ones for WebSphere Portal -NL- , WebSphere Network Deployment 6.x and WebSphere Process Servers. -NL- As regard MQ I was upgrading for MQ5.3 to 6.x and in some case to 7.x. -NL- It was also used WTX and Datapower. -NL- All projects were based on SOA paradigm/principles -NL- April 2008 – August 2008 **`KBC Group`[EMPLOYER_COMPANY_NAME]** -NL- WebSphere ND and AS, WebSphere Process Server, WebSphere Portal and WebSphere MQ -NL- specialist -NL- J2EE and Infrastructure Architecture on WebSphere Application Server ,WebSphere Portal 6.0 and -NL- WebSphere MQ. -NL- Also administration, performance and tuning on the existing infrastructure. -NL- Installation and support of various packages like Swift Alliance, Mosaic Cama, Tombeller Embargo and -NL- Globus. -NL- Support for “Achate/Vente de Titres” – Securities Trading System. (ETS)(Trading Floor) -NL- I was also in charge to apply fixpack and fixes to WebSphere Portal and WebSphere ND as well as install -NL- new environments and/or upgrading existing ones. I was delivering also a series of jython/ant scripts to -NL- make the deployment automatic. -NL- Operating system was Sun Solaris 10. -NL- I designed and applied ssl security to all MQ infrastructure of the client -NL- January 2008 – April 2008 **`IBM`[EMPLOYER_COMPANY_NAME]** -NL- **`WebSphere ND and AS, WebSphere Process Server and WebSphere Portal specialist`[EMPLOYER_ROLE]** -NL- J2EE and Infrastructure Architecture on WebSphere products for a porting project of a Micro-Finance -NL- package from Tomcat/JBoss and MySql to WebSphere and Oracle/DB2. -NL- The package have been developed using J2EE 5, than using RAD 7, and common framework as Hibernate -NL- and Spring on Linux/AIX -NL- September 2007 – December 2007 **`AirFrance Group`[EMPLOYER_COMPANY_NAME]** -NL- Web Administrator and Web Deployer -NL- Administration, configuration, troubleshooting and scripting for Oracle Application Server 9i -NL- 10g , Jboss 4.x and WebSphere. 6/5deployment , administration and support for J2EE -NL- applications deployed in a Websphere Portal 5/6 environment. -NL- The complex environment included also administration, configuration and troubleshooting on -NL- **`IBM`[EMPLOYER_COMPANY_NAME]** DataPower,Tivoli Access Manager, **`IBM`[EMPLOYER_COMPANY_NAME]** Director Server,WebSEAL, **`IBM`[EMPLOYER_COMPANY_NAME]** HTTP Server -NL- and Open Source Product as Alfresco, JIRA and Bamboo. -NL- The backend was Oracle 9/10 as Database and WebSphere MQ Series 6.x administered using -NL- QPasa -NL- February 2007 – August 2007 **`Honda`[EMPLOYER_COMPANY_NAME]** -NL- **`WebSphere ND and AS, WebSphere ESB Specialist and WebSphere MQ Engineer`[EMPLOYER_ROLE]** -NL- WebSphere Application Server and Network Deployment was used in a Windows/Wintel Farm -NL- to manage near 50 J2EE Applications World Wide. The infrastructure had a Security Layer -NL- composed by **`IBM`[EMPLOYER_COMPANY_NAME]** WebSEAL, Tivoli Access Manager (TAM), Policy Server and Policy -NL- Director. A Load Balancer was spraying the load to two Web Servers on Wintel using Microsoft -NL- IIS 6. -NL- A WebSphere cell composed by 4 Nodes plus the Deployment Manager was the infrastructure -NL- where the 50 Intranet and Internet J2EE applications. -NL- The Backend was Oracle 9/10 on AIX/Wintel and DB2 8 on Windows and ZOS. WebSphere -NL- MQ 5/6 were used for the Messaging System on ZOS, AS400 , Windows and Unix. As -NL- developer I was using WID 6.02 for developing Mediation and BPEL Module , RAD for J2EE -NL- application. -NL- I was installing and updating the environments and following the deployments. To automate the -NL- deployment an Open Source called AutoDeployment, developed in Java as J2EE application) was -NL- in evaluation and I was following also this project as alternative to Shell and jacl scripts already -NL- existing and developed in house. -NL- WebSphere ESB 6.0.2(Enterprise Server Bus) where SCA modules and Mediation Flow were -NL- deployed, WebSphere Process Server where SCA artefact and BPEL process were deployed, -NL- WebSphere Integration Developer (WID) 6.0.2 and WebSphere MQ Message Broker 6 were -NL- used for a specific project for replacing an existing J2EE applications for the Dealers (Order -NL- Entry, Spare Parts Order and management, Marketing and Planning). -NL- I was installing and Administering the infrastructure that was composed by 3 **`IBM`[EMPLOYER_COMPANY_NAME]** AIX p-Series: -NL- one for the Network Deployment and the other two for the nodes. -NL- Messaging System based on WebSphere MQ version 6, mainly, with some installation still in -NL- version 5.3. The messaging system was used World Wide and I was following the European part -NL- inside a team interacting with Team in Japan and US. -NL- The messaging System was implemented on a Distributed Architecture using **`IBM`[EMPLOYER_COMPANY_NAME]** Candle -NL- Omegamon as Repository and Administrative tool. -NL- The systems used were: Mainframe ZOS, AS400, Unix (Linux and AIX) and Windows/Wintel. -NL- I was working on the daily administrative tasks and troubleshooting as well as I was involved in -NL- new projects for new subsidiary (Turkey and Poland). The new projects consisted in designing -NL- and implementing the messaging systems for the new Subsidiaries. -NL- October 2006 – December 2006 **`HP`[EMPLOYER_COMPANY_NAME]** -NL- **`J2EE/EAI/SOA Architect`[EMPLOYER_ROLE]** -NL- EAI/SOA Architect for defining the architecture for a new SOA project regarding Order -NL- Management and Chaining Supply. -NL- Oracle SOA Suite , Oracle BPEL Process Manager, Oracle ESB, JDeveloper and Oracle 10g -NL- RAC as well as WebLogic9.1 were the main components involved in the Architecture and first -NL- design of the project.. Maven was used as project tool from the beginning. Maven was used by -NL- inside JDeveloper do the plugin was the one for JDeveloper. I wrote some template for Maven -NL- Build scripts to be used by developer.XPath, XQuery and XSchema were part of the basic -NL- knowledge for this job, as well as BPEL language. Rich Client SWT, Eclipse RCP and Oracle ADF/ -NL- JSF.Active Directory Server was choosen as Directory Service for the project along with SiteMinder. -NL- Unix , Windows 200 and Windows NT the OS used and supported. -NL- July 2006 – October 2006 **`Atos Origin`[EMPLOYER_COMPANY_NAME]** -NL- J2EE/WebSphere AS/ND and MQ Development Support -NL- Websphere and Infrastructure and MQ Engineer and Application support (3rd Level). The support -NL- was done on J2EE applications and related tools like Maven, Forrest, Autonomy, Ant, -NL- CruiseControl... -NL- I was also being responsible for the implementation of Websphere MQ as well as the installation -NL- of MQ, defining Queues Managers and queues.I was involved in the installation of WebSphere -NL- AS as well as the implementation of the tool infrastructure on Unix.(**`HP`[EMPLOYER_COMPANY_NAME]**, SUN Solaris 9/10 and -NL- AIX 5.3 p-Series). All environment were covered: dev, integration and Production.Alert and -NL- monitoring via BMC Patrol for both Internet and Intranet applications, included E-Business apps. -NL- April 2006 – June 2006 **`GMA`[EMPLOYER_COMPANY_NAME]** -NL- **`EAI J2II Technical Application Specialist`[EMPLOYER_ROLE]** -NL- Senior Software and Infrastructure Engineer for this Insurance Company working on their new Intranet -NL- supporting the development teams and the Unix and Networking teams. -NL- I was following and monitoring all the environments both from infrastructure and application point of -NL- view using Maven as project tool. -NL- February 2006 – April 2006 **`HP`[EMPLOYER_COMPANY_NAME]** -NL- EAI 2EE WebSphere AS/ND, WebSphere MQ and WBI and WBIMB specialist -NL- Technical Architect in a high Transactional Environment on a large project for a large customer. -NL- High-Level and Low-Level Design. The environment should host J2EE applications using Portal Single -NL- Sign ON and become the common infrastructure environment also for all future J2EE application -NL- developed by the customer. -NL- Products I was working on to produce the HLD and LLD design were WebSphere Suite and Oracle. -NL- October 2005 – February 2006 **`HSBC`[EMPLOYER_COMPANY_NAME]** -NL- **`J2EE , WebSphere ND/AS , WebSphere Portal 5.x and WebSphere MQ Specialist/Engineer`[EMPLOYER_ROLE]** -NL- Technical support for different Internet Applications based on a common Framework. The applications -NL- were J2EE applications deployed in a WebSphere Portal environment. The Portal Database is Oracle 9.2.0 -NL- and the backend was accessed via WebSphere MQ Series.. -NL- WebSphere App Server and MQ were installed on Linux and Sun Solaris while WebSphere MQ was -NL- installed both on **`IBM`[EMPLOYER_COMPANY_NAME]** pSeries and Z/OS. -NL- The applications were for different countries and both Internet Personal Banking than Private Banking. -NL- Performance and Application Profiling was part of the job. -NL- All the environment, dev – test – QA and production, were followed both from infrastructure than -NL- application point of view. The prod environment was monitored mainly via BMC Patrol and Wily -NL- Introscope. Some applications were using Maven as project tool so I was giving support also for it. -NL- The main projects involved the following technologies: -NL- 1 WebSphere Portal 5..02 and 5.1 -NL- 2 WebSphere Application Server and Network Deployment 5..1.1.x with some exposure to -NL- WebSphere 6.0.2 -NL- 3 WebSphere MQ 5.3 on Sun Solaris and Z/OS (Mainframe) -NL- 4 Cisco Load Balancer -NL- 5 Murex MxG 2000 -NL- 6 Murex Mx Asset Manager -NL- 7 **`IBM`[EMPLOYER_COMPANY_NAME]** Edge Server -NL- 9 Wily Introscope -NL- 10 TCL, JACL and JYTHON scripting -NL- 11 Shell Scripting -NL- 12 WebSphere Portal scripting using xmlaccess.sh, WPSconfig.sh interfaces and wpscript scripting -NL- language for Portal administration. -NL- May 2005 – October 2005 **`IBM`[EMPLOYER_COMPANY_NAME]** -NL- Performance and EAI Architect and Application Support on J2EE applications -NL- As Performance Architect and Application Support I was involved in different projects based on client -NL- side. -NL- Supporting the development team was one of my tasks as well as prepare and execute complex -NL- performance test case and plans in order to deliver the expected performance both for the single -NL- components (tuning) that for the overall architectures. -NL- Load/stress test were prepared with the collaboration of the developer and executed normally in QA -NL- environment. -NL- The support was for development of the J2EE applications to be deployed in WebSphere and for -NL- deployment and administration of WebSphere and WebSphere MQ and WBIMB, supporting the -NL- development of scripts using Perl, Shell Scripts and JACL/Jython along with wsadmin scripting for -NL- WebSphere Application Server. -NL- The main projects involved the following technologies: -NL- 13 WebSphere Portal 5.1 -NL- 14 WebSphere Application Server and Network Deployment 5..1.1.x with some exposure to -NL- WebSphere 6.0.2 -NL- 15 WebSphere MQ 5.3 with some exposure to WebSphere MQ 6 -NL- 16 WMQI 2.1 with use of ESQL -NL- 17 WBIMB and WebSphere Message Broker 5.0.x -NL- 18 WBI Modeler -NL- 19 WebSphere Message Broker , WebSphere Business Integrator Adapters 6.0 ,WebSphere -NL- Adapters 6.0, WebSphere Modeler -NL- 20 WebSphere Process Server 6.0 -NL- 21 **`IBM`[EMPLOYER_COMPANY_NAME]** WebSphere Business Integration Server Foundation and Choreography -NL- 22 WebSphere 5.1.x Process Choreographer -NL- 23 Rational Rose -NL- 24 **`IBM`[EMPLOYER_COMPANY_NAME]** Rational Application Developer for WebSphere Software 6 -NL- 25 **`IBM`[EMPLOYER_COMPANY_NAME]** Rational Software Architect -NL- 27 DB2 -NL- 28 Java -NL- 33 WebSEAL -NL- 34 Policy Server -NL- 35 Directory Server (LDAP) -NL- 36 AIX 5.2 and 5.3 on **`IBM`[EMPLOYER_COMPANY_NAME]** PSeries Power 5 hardware -NL- 37 SOA Architecture -NL- Aug 2004 – May 2005 **`UBS`[EMPLOYER_COMPANY_NAME]** -NL- **`EAI J2EE/WebSphere Network Deployment and WebSphere MQ Engineer`[EMPLOYER_ROLE]** -NL- I was working on two different projects: -NL- 1 A J2EE application for Strategic Confirmation, Settlement, Accounting system for Cash Equity -NL- products -NL- 2 A J2EE application to allow internal users and client to access to derivatives and future options -NL- markets such as CBOT, LIFFE, Eurex, Euronext Paris, US Equity Option exchanges. CME -NL- connectivity was under build. -NL- 3 Electronic Trade Front End application -NL- In the Equity Department I was in the team involved in downsizing the Equity Application from -NL- Mainframe to Linux RHAS 3.1 on x386 **`IBM`[EMPLOYER_COMPANY_NAME]** Blade systems. The complex architecture, designed for -NL- WebSphere Application Server and Network Deployment -NL- 3 WebSphere Application Server and Network Deployment -NL- 1 WSAD for the Development of Java/J2EE part of the application -NL- 2 WebSphere MQ 5.3 Architect and Administrator -NL- 4 WMQI and WBIMB support -NL- 4 WebSphere Service Gateway -NL- 5 Tibco Rendezvous, Tibco Integration Manager, Tibco InConcert and Tibco Hawk -NL- 6 WebMethods -NL- 7 WBI -NL- 8 ClearCase Administration -NL- 38 Rational Rose for UML creation -NL- 39 **`IBM`[EMPLOYER_COMPANY_NAME]** Rational Application Developer for WebSphere Software v6 -NL- 9 Oracle 9i/10 -NL- 13 Omegamon MQ for administering and monitoring MQ and Queues -NL- 14 Wily Introscope for WebSphere monitoring -NL- 15 Scripting using Shell scripts, Perl, JACL and jython -NL- My Role was WebSphere Architect and after support for the development team and the support team. -NL- Feb 2004 – August 2004 **`Royal Bank of Scotland`[EMPLOYER_COMPANY_NAME]** -NL- **`WebSphere/Web Server E-Services Specialist`[EMPLOYER_ROLE]**. -NL- The main projects I was involved were: -NL- Certificates of Interests, Retail Direct, Payment Message Repair, BACS ODD and ISCD Mortgages Web -NL- Application and an Equity application. -NL- All of these applications were J2EE applications running on WebSphere. WebSphere was installed and -NL- running on Windows NT/Win2000, AIX and Sun Solaris and on **`IBM`[EMPLOYER_COMPANY_NAME]** 390 (WebSphere z/os) -NL- The WebServer was normally IIS on Windows NT/Win2000, but for same specials project was Apache. -NL- All project were using JSP, Servlet and EJB (CMP, BMP and Statefull and Stateless) -NL- Support for Intranet application WebSphere based in a banking environment on multiplatform: AIX, -NL- Windows NT/Win2000/Win2003 and S390 where WebSphere for zOS were used. -NL- The Database used are Oracle and DB2. To connect to DB2 on Mainframe DB2 Connet is used. -NL- One of the projects had a complex architecture as was using Business Objects with WebSphere, so I was -NL- doing also installation, administration and troubleshooting for BusinessObjects/WebIntelligence. -NL- The performance and stress testing for all application was done using Mercury LoadRunner while -NL- WebSphere was monitored by Tivoli Monitoring for Web Infrastructure. -NL- Feb 2003 – Jan 2004 **`Belgacom`[EMPLOYER_COMPANY_NAME]** -NL- WebSphere and WebSphere Portal Architect/Administrator and Application Support -NL-  WebSphere and WebSphere Portal Architect/Administrator in a complex environment based on -NL- Unix Sun Solaris machine with some Win2000 machines and having as infrastructure products: -NL- WebSphere Portal, WebSphere Application Server, Network Dispatcher, WebSeal , Tivoli Access -NL- Manager and Identity Manager, **`IBM`[EMPLOYER_COMPANY_NAME]** SecureWay (Ldap) and Oracle as Database. JAAS was used -NL- along with WebSphere 5.0. -NL-  I am involved in the migration from WebSphere 3.5/4.0 to WebSphere 5.0 both from a point of -NL- the planning and the realization. All the script converted from wscp to wsadmin .The Middleware -NL- is Tibco RendezVous and InConcert. The Web Server, HTTP Server, used is Apache 1.3 , but we -NL- are using as prototype also Apache 2.0 with WebSphere 5.0 -NL-  We managed WebSphere both on Unix environment (Solaris/Aix/Hp but mainly Solaris) and -NL- Windows NT/2000. -NL-  Under WebSphere and Apache as HTPP Server are running near 40 Applications, while 3 -NL- Applications are running under NetDynamics and iPlanet depending on the environment. -NL-  Tivoli Access Manager , Tivoli Identity Manager and PolicyDirector -NL-  Shell and Perl scripting as well as wsadmin, jacl, jython, wscp.ant and websphere Ant to build the -NL- ear files using JMX architecture as well -NL- Aug 2002 - Dec 2002 **`Corus`[EMPLOYER_COMPANY_NAME]** -NL- **`WebSphere 3.5/4.0 Architect/Administrator`[EMPLOYER_ROLE]** -NL-  I was administering, configuring, deploying applications (mainly J2EE applications), testing, -NL- tuning and troubleshooting and I was involved also in the security aspects. I was doing also -NL- support for 6 different development teams. -NL-  J2EE packaging, deployment and troubleshooting -NL-  The architecture was quite complex as behind a firewall were used products as -NL- NetworkDispatcher, WebSEAL, Policy Director and after Tivoli Access Manager and Tivoli -NL- Identity Manager and **`IBM`[EMPLOYER_COMPANY_NAME]** SecureWay LDAP and DB2 as Database Server and MQSeries. The -NL- Unix systems used were RS6000 (AIX). I developed scripting using Shell scripting and XML to -NL- automate the deployment process. Also configuration and software management were my task. -NL- The Web Server was Apache HTTPServer. -NL-  We manage WebSphere both on Unix environment (Solaris/Aix/Hp but mainly Solaris) and -NL- Windows NT/2000. -NL- May 2002 -July 2002 **`Infeurope`[EMPLOYER_COMPANY_NAME]** -NL- **`Tem Leader/Senior Developer/Designer for the development of a J2EE application`[EMPLOYER_ROLE]** -NL- Oct 2001 - Apr 2002 **`Intrasoft`[EMPLOYER_COMPANY_NAME]** -NL- **`Designer and Senior developer on an intranet project developed in J2EE`[EMPLOYER_ROLE]** -NL- Mar 2001 - Sept 2001 **`Pfizer`[EMPLOYER_COMPANY_NAME]** -NL- **`WebSphere Senior J2EE Developer`[EMPLOYER_ROLE]** -NL- Sept 2000 - Feb 2001 -NL- **`Oce' Laboratories Namur`[EMPLOYER_COMPANY_NAME]** -NL- **`Senior Developer and coach on J2EE project for a Printing Server developed on`[EMPLOYER_ROLE]** -NL- 1997 - Feb 2000 **`Telecom Italia`[EMPLOYER_COMPANY_NAME]** as **`IBM`[EMPLOYER_COMPANY_NAME]** Consultant -NL- 1996 - 1997 -NL- **`FIAT`[EMPLOYER_COMPANY_NAME]** – **`Oracle DBA `[EMPLOYER_ROLE]**-NL- Languages: English fluent, French good, Spanish sufficient , Italian mother tongue -NL- Disposable World-Wide -NL- 